<template>
  <div class="SettingBox">
    <div class="title">退出集群</div>

    <div class="settingBody">
      <div class="settingItem">
        <div class="label">总算力:</div>
        <div class="data">2通道</div>
        <div class="label">总算力:</div>
        <div class="data">2通道</div>
      </div>

      <div class="settingItem">
        <div class="label">轮询时间:</div>
        <el-input-number
          class="time"
          v-model="time"
          :controls="false"
        ></el-input-number
        >分钟
      </div>

      <div class="settingItem">
        <div class="label">轮询开关:</div>
        <el-switch
          v-model="pollingSwitch"
          active-color="#D4E3FA"
          inactive-color="#E9EBEE"
          :width="56"
        >
        </el-switch>
      </div>

      <div class="settingItem">
        <div class="label">轮询时间:</div>
        <el-input-number
          v-model="time"
          controls-position="right"
        ></el-input-number
        >分钟
      </div>

      <div class="settingItem">
        <div class="label">轮询时间:</div>
        <el-input-number
          v-model="time"
          controls-position="right"
        ></el-input-number
        >分钟
      </div>

      <div class="btns">
        <div class="cancel button" @click="close()">取消</div>
        <div class="submit button" @click="close()">保存</div>
      </div>
    </div>

    <div class="close iconfont" @click="close()">&#xe60f;</div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      time: 0,
      pollingSwitch: false,
    };
  },
  methods: {
    close() {
      this.$emit("close");
    },
  },
};
</script>

<style lang="scss" scoped>
.SettingBox {
  position: fixed;
  width: 424px;
  height: 442px;
  top: 50%;
  left: 50%;
  margin-top: -221px;
  margin-left: -212px;
  filter: drop-shadow(0px 2px 16px rgba(0, 43, 106, 0.25));
  z-index: 3;
  background-color: #fff;

  .title {
    padding: 20px;
    font-size: 16px;
    font-weight: 700;
    border-bottom: 1px solid #e9ebee;
  }

  .settingBody {
    box-sizing: border-box;
    padding: 20px;

    .settingItem {
      margin-bottom: 30px;
      font-size: 14px;
      display: flex;
      align-items: center;
      .label {
        margin-right: 10px;
        color: #666;
      }
      .data {
        margin-right: 30px;
        font-weight: 700;
      }
      .el-switch ::v-deep {
        height: 24px;
        .el-switch__core {
          height: 24px;
          border-radius: 16px;
        }
        .el-switch__core::after {
          margin-top: 2px;
          margin-left: 3px;
          width: 16px;
          height: 16px;
          background-color: #999999;
        }
      }
      .el-switch.is-checked ::v-deep {
        .el-switch__core::after {
          margin-left: -20px;

          background-color: #0065ff;
        }
      }

      .el-input-number ::v-deep {
        width: 109px;
        border-radius: 0;

        input {
          width: 64px;
          height: 32px;
          border-radius: 0;
        }

        .el-input-number__decrease {
          line-height: 16px;
          bottom: 3px;
        }

        .el-input-number__increase {
          top: 3px;
          line-height: 16px;
        }
      }

      .time {
        width: 70px;
        height: 32px;
      }
    }

    .btns {
      margin-top: 10px;
      display: flex;
      justify-content: end;
      text-align: center;
      line-height: 40px;
      font-size: 14px;

      .cancel {
        margin-right: 10px;
        width: 104px;
        height: 40px;
        border: 1px solid #0065ff;
        color: #0065ff;
      }

      .submit {
        width: 104px;
        height: 40px;
        color: #fff;
        background-color: #0065ff;
        border: 1px solid #0065ff;
      }
    }
  }

  .close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 12px;
    color: #666;
    cursor: pointer;
  }
}
</style>